Skip to main content
GET
Read transaction list

Headers

ID of the consent resource

X-Request-ID
string
required

ID of the request, unique to the call, as determined by the initiating party

Path Parameters

account-id
string
required

Resource identification of the account

Query Parameters

bookingStatus
enum<string>
required

Booking status filter

Available options:
booked,
pending,
both,
information,
all
dateFrom
string | null

Starting date of the transaction list in ISODate format

dateTo
string | null

End date of the transaction list in ISODate format

deltaList
boolean | null

If contained, this function returns a delta report on booked transactions since the last request

entryReferenceFrom
string | null

Entry reference for delta access, alternative to dateFrom/dateTo. If supported by ASPSP

withBalance
boolean | null

If contained, this function returns transactions together with balances

Response

Transaction list successfully retrieved

account
object | null

Account reference

transactions
object | null

Transaction report as defined in Section 14.24

balances
object[] | null

Balances if withBalance was requested

HATEOAS links

Last modified on April 17, 2026